# Class Node

java.lang.Object
nu.validator.saxtree.Node

All Implemented Interfaces:
  `Locator2, Locator`

Direct Known Subclasses:
  `CharBufferNode, ParentNode, ProcessingInstruction, SkippedEntity`

public abstract class Node extends Object implements Locator, Locator2
The common node superclass.

Version:
  $Id$
Author:
  hsivonen

## Method Summary

Modifier and Type
Method
Description
`void`
`detach()`
Detach this node from its parent.
`Attributes`
`getAttributes()`
Returns the attributes.
`int`
`getColumnNumber()`
`String`
`getData()`
Returns the data.
`String`
`getEncoding()`
`Node`
`getFirstChild()`
Return the first child.
`int`
`getLineNumber()`
`String`
`getLocalName()`
Returns the localName.
`String`
`getName()`
Returns the name.
`final Node`
`getNextSibling()`
Returns the nextSibling.
`abstract NodeType`
`getNodeType()`
Return the node type.
`final ParentNode`
`getParentNode()`
Returns the parentNode.
`List<PrefixMapping>`
`getPrefixMappings()`
Returns the prefixMappings.
`final Node`
`getPreviousSibling()`
Returns the previous sibling
`String`
`getPublicId()`
`String`
`getPublicIdentifier()`
Returns the publicIdentifier.
`String`
`getQName()`
Returns the qName.
`String`
`getSystemId()`
`String`
`getSystemIdentifier()`
Returns the systemIdentifier.
`String`
`getTarget()`
Returns the target.
`String`
`getUri()`
Returns the uri.
`String`
`getXMLVersion()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getColumnNumber

public int getColumnNumber()

Specified by:
  `getColumnNumber` in interface `Locator`
See Also:
  - `Locator.getColumnNumber()`

### getLineNumber

public int getLineNumber()

Specified by:
  `getLineNumber` in interface `Locator`
See Also:
  - `Locator.getLineNumber()`

### getPublicId

public String getPublicId()

Specified by:
  `getPublicId` in interface `Locator`
See Also:
  - `Locator.getPublicId()`

### getSystemId

public String getSystemId()

Specified by:
  `getSystemId` in interface `Locator`
See Also:
  - `Locator.getSystemId()`

### getXMLVersion

public String getXMLVersion()

Specified by:
  `getXMLVersion` in interface `Locator2`
See Also:
  - `Locator2.getXMLVersion()`

### getEncoding

public String getEncoding()

Specified by:
  `getEncoding` in interface `Locator2`
See Also:
  - `Locator2.getEncoding()`

### getFirstChild

public Node getFirstChild()
Return the first child.

Returns:
  the first child

### getNextSibling

public final Node getNextSibling()
Returns the nextSibling.

Returns:
  the nextSibling

### getPreviousSibling

public final Node getPreviousSibling()
Returns the previous sibling

Returns:
  the previous sibling

### getParentNode

public final ParentNode getParentNode()
Returns the parentNode.

Returns:
  the parentNode

### getNodeType

public abstract NodeType getNodeType()
Return the node type.

Returns:
  the node type

### detach

public void detach()
Detach this node from its parent.

### getName

public String getName()
Returns the name.

Returns:
  the name

### getPublicIdentifier

public String getPublicIdentifier()
Returns the publicIdentifier.

Returns:
  the publicIdentifier

### getSystemIdentifier

public String getSystemIdentifier()
Returns the systemIdentifier.

Returns:
  the systemIdentifier

### getAttributes

public Attributes getAttributes()
Returns the attributes.

Returns:
  the attributes

### getLocalName

public String getLocalName()
Returns the localName.

Returns:
  the localName

### getPrefixMappings

public List<PrefixMapping> getPrefixMappings()
Returns the prefixMappings.

Returns:
  the prefixMappings

### getQName

public String getQName()
Returns the qName.

Returns:
  the qName

### getUri

public String getUri()
Returns the uri.

Returns:
  the uri

### getData

public String getData()
Returns the data.

Returns:
  the data

### getTarget

public String getTarget()
Returns the target.

Returns:
  the target